Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.uibinder.elementparsers
Class NullInterpreter<T>

    java.lang.Object
      com.google.gwt.uibinder.elementparsers.NullInterpreter<T>

Type Parameters:
  `T` - The type of null to return

All Implemented Interfaces:
  com.google.gwt.uibinder.rebind.XMLElement.Interpreter<T>

    public final class NullInterpreter<T>

extends java.lang.Object
implements com.google.gwt.uibinder.rebind.XMLElement.Interpreter<T>

An no-op interpreter.

Constructor Summary
`NullInterpreter()`

Method Summary
`T` | `interpretElement(com.google.gwt.uibinder.rebind.XMLElement elem)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullInterpreter

    public NullInterpreter()

Method Detail

### interpretElement

    public T interpretElement(com.google.gwt.uibinder.rebind.XMLElement elem)

  Specified by:
    `interpretElement` in interface `com.google.gwt.uibinder.rebind.XMLElement.Interpreter<T>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD